%global octpkg general

Name:           octave-%{octpkg}
Version:        2.1.1
Release:    1%{?dist}
Summary:        General tools for Octave, string dictionary, parallel computing
License:        GPLv3+ and BSD and Public Domain
URL:            http://octave.sourceforge.net/general/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
Source1:        octave-general.metainfo.xml

BuildRequires:  octave-devel >= 4.0
BuildRequires:  libappstream-glib

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave

%description
The Octave-forge General package provides functions for parallel computing,
string dictionaries and other general utility functions.


%prep
%setup -qcT


%build
%octave_pkg_build -T


%install
%octave_pkg_install
mkdir -p %{buildroot}%{_metainfodir}
install -p -m 0644 %SOURCE1 %{buildroot}%{_metainfodir}/


%check
%octave_pkg_check


%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%dir %{octpkgdir}
%{octpkgdir}/*.m
%{octpkgdir}/@dict/
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/packinfo
%{_metainfodir}/octave-%{octpkg}.metainfo.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-1
- initial build
